Bug 103270 - Some files in gdbm-1.8.3_2 have the ownership "bin:bin"
Summary: Some files in gdbm-1.8.3_2 have the ownership "bin:bin"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-14 17:00 UTC by Dr. Markus Waldeck
Modified: 2006-10-31 22:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dr. Markus Waldeck 2006-09-14 17:00:41 UTC
Some Files in gdbm-1.8.3_2 have the ownership "bin:bin".

The files in the base system and in the ports use "root:wheel".

Fix: 

chown root:wheel
How-To-Repeat: find /usr/local -user bin
Comment 1 Edwin Groothuis freebsd_committer 2006-09-14 21:56:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Pav Lucistnik freebsd_committer 2006-10-07 15:47:37 UTC
State Changed
From-To: feedback->open

Maintainer timeout
Comment 3 Pav Lucistnik freebsd_committer 2006-10-07 15:47:48 UTC
State Changed
From-To: open->feedback

If you consider this to be a problem, could you submit a patch to fix it? 


Comment 4 Pav Lucistnik freebsd_committer 2006-10-07 15:47:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 5 waldeck 2006-10-14 14:21:18 UTC
> Okay. And can you submit a patch to fix this in port?

file:
/usr/ports/databases/gdbm/files/patch-Makefile.in

content:
*** Makefile.in Tue Oct  8 18:09:12 2002
--- Makefile.in.patched Sat Oct 14 15:14:42 2006
***************
*** 15,22 ****
  INSTALL_DATA = @INSTALL_DATA@
  
  # File ownership and group
! BINOWN = bin
! BINGRP = bin
  
  MAKEINFO = makeinfo
  TEXI2DVI = texi2dvi
--- 15,22 ----
  INSTALL_DATA = @INSTALL_DATA@
  
  # File ownership and group
! BINOWN = root
! BINGRP = wheel
  
  MAKEINFO = makeinfo
  TEXI2DVI = texi2dvi

Futher Questions?

Dr. Markus Waldeck
Comment 6 Pav Lucistnik freebsd_committer 2006-10-14 22:03:26 UTC
State Changed
From-To: feedback->open

Feedback received; will process after the freeze
Comment 7 Pav Lucistnik freebsd_committer 2006-10-31 22:01:48 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 8 dfilter service freebsd_committer 2006-10-31 22:01:51 UTC
pav         2006-10-31 22:01:36 UTC

  FreeBSD ports repository

  Modified files:
    databases/gdbm       Makefile 
  Log:
  - Install files owned by root:wheel instead of bin:bin
  
  PR:             ports/103270
  Submitted by:   "Dr. Markus Waldeck" <waldeck@gmx.de>
  Approved by:    maintainer timeout (14 days)
  
  Revision  Changes    Path
  1.34      +2 -1      ports/databases/gdbm/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"